<?php 
	// No posts to show, the famous 404 error message
	if ( ! have_posts() ) : 
?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="entry-title"><?php __( 'Page Not Found', 'simple-pfolio' ); ?></h1>
		<div class="entry-content">
			<p><?php
				// Error message output (localized)
				__( 'There is nothing here, besides this page which will tell you no more than that. 
					Why not try and search for whatever it was you were looking for?', 'simple-pfolio' );
			?></p>
			<?php get_search_form(); ?>
		</div>
	</div>
<?php endif; ?>

<?php
	// The default loop
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	
		// If it's an archive or search result
		if ( is_home() || is_archive() || is_search() ) : 
		?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('post-listing'); ?>>
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo __('Permalink to ', 'simple-pfolio'); the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

			<div class="entry entry-excerpt">
				<?php the_excerpt(); ?>
			</div>
			
		<?php // Everything else
		else : ?>
		
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<div class="entry-meta">
					<?php echo __('Posted on', 'simple-pfolio'); ?> <?php the_date(); ?> 
					<?php echo __('by', 'simple-pfolio'); ?> <?php the_author(); ?>
					<?php edit_post_link( __( 'Edit', 'simple-pfolio' ), '<span class="meta-sep">&bull;</span> <span class="edit-link">', '</span>' ); ?><br />
					<?php 
						// Only on single posts
						if ( is_single() ) { ?>
						<span class="meta-category"><?php the_category(', '); ?></span> 
						<span class="meta-tags"><?php the_tags(' &bull; ', ' + ', ''); ?></span>
					<?php } ?>
				</div>
				<div class="entry entry-content">
					
					<?php
						$videopost = get_post_meta($post->ID, 'mediatype', true);
						if ( $videopost == video ) {
							echo 'This post is has the MEDIATYPE set to VIDEO';
						} ?>
					
					
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'simple-pfolio' ), 'after' => '</div>' ) ); ?>
				</div>
				<?php // Let's check to see if the comments are open
				if (comments_open()) { ?> 
				<div class="entry-meta">
					<?php echo __('Did you like it? Share your thoughts with the world.', 'simple-pfolio'); ?><br />
					<span class="comments-link">
						<?php echo __('There are', 'simple-pfolio'); ?> <?php comments_popup_link( __( 'no comments - pitch in!', 'simple-pfolio' ), __( '1 comment', 'simple-pfolio' ), __( '% comments', 'simple-pfolio' ) ); ?>
					</span>
				</div>
				<?php } ?>
			
		<?php endif; ?>

		</div>

		<?php
			// If the comments are open we'll need the comments template
			if (comments_open()) {
				comments_template( '', true );
			}
		?>

<?php endwhile; ?>

<?php 
	// Page navigation for archives and search
	if ( is_archive() || is_search() ) { ?>
	<div class="navigation">
	    <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older entries', 'simple-pfolio' ) ); ?></div>
	    <div class="nav-next"><?php previous_posts_link( __( 'Newer entries <span class="meta-nav">&rarr;</span>', 'simple-pfolio' ) ); ?></div>
	</div>
<?php } ?>

<?php endif; ?>